use strict;
use warnings;
use Module::Build;

my $builder = Module::Build->new(
    module_name         => 'POWER::Event',
    license             => 'perl',
    dist_author         => 'Alex Efros <powerman@asdfgroup.com>',
    dist_version_from   => 'lib/POWER/Event.pm',
    requires => {
        'Test::More'            => 0,
#        'Test::Exception'       => 0,
        'version'               => 0,
        'Perl6::Export::Attrs'  => 0,
        'POWER::Utils'          => 0,
#        'POWER::Event::Timer'   => 0,
#        'POWER::Event::Epoll'   => 0,
    },
    add_to_cleanup      => [ 'POWER-Event-*' ],
);

$builder->create_build_script();
